BdbService.Processor.getDatabaseStatistics (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class BdbService.Processor.getDatabaseStatistics<I extends BdbService.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,BdbService.getDatabaseStatistics_args>
  - - com.sleepycat.thrift.BdbService.Processor.getDatabaseStatistics<I>

- Enclosing class:
    BdbService.Processor<I extends BdbService.Iface>

      public static class BdbService.Processor.getDatabaseStatistics<I extends BdbService.Iface>
      extends org.apache.thrift.ProcessFunction<I,BdbService.getDatabaseStatistics_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `getDatabaseStatistics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BdbService.getDatabaseStatistics_args` | `getEmptyArgsInstance()`
    `BdbService.getDatabaseStatistics_result` | `getResult(I iface, BdbService.getDatabaseStatistics_args args)`
    `protected boolean` | `isOneway()`

    - ### Methods inherited from class org.apache.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### getDatabaseStatistics

          public getDatabaseStatistics()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public BdbService.getDatabaseStatistics_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends BdbService.Iface,BdbService.getDatabaseStatistics_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.ProcessFunction<I extends BdbService.Iface,BdbService.getDatabaseStatistics_args>`

    - #### getResult

          public BdbService.getDatabaseStatistics_result getResult(I iface,
                                                                   BdbService.getDatabaseStatistics_args args)
                                                            throws org.apache.thrift.TException

      Specified by:
        `getResult` in class `org.apache.thrift.ProcessFunction<I extends BdbService.Iface,BdbService.getDatabaseStatistics_args>`
      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.